[FFe] ukui-indicators

Bug #1664232 reported by handsome_feng on 2017-02-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Kylin
Critical
Unassigned
ukui-indicators (Ubuntu)
Wishlist
Unassigned

Bug Description

The UKUI Indicators is a small applet to display information from various applications consistently in the panel. The indicator applet exposes Ayatana Indicators in the UKUI Panel. Ayatana Indicators are an initiative by Canonical to provide crisp and clean system and application status indication. They take the form of an icon and associated menu, displayed (usually) in the desktop panel. Existing indicators include the Message Menu, Battery Menu and Sound menu.
It forks from mate-indicators, but we rewrited all the codes.
It is a part of UKUI desktop environment: Bug #1663477.
And It also runs well on Ubuntu Mate.

Packaging URL: https://github.com/ukui/debian-packages/tree/master/ukui-indicators/debian
Source URL: https://github.com/ukui/ukui-indicators
Release URL: https://github.com/ukui/ukui-indicators/releases
License: GPL-2+,

PPA: https://launchpad.net/~ubuntukylin-members/+archive/ubuntu/ukui

Changed in ubuntukylin:
importance: Undecided → Critical
milestone: none → zesty-beta1
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in ubuntu:
importance: Undecided → Wishlist
summary: - [needs-packaging] ukui-indicators
+ [FFE] ukui-indicators
summary: - [FFE] ukui-indicators
+ [FFe] ukui-indicators
description: updated
Iain Lane (laney) wrote :

Can you please attach a package to the bug(s) for your requests, or upload to a PPA and provide the link?

Jeremy Bicha (jbicha) wrote :

Laney, the packaging is in the Github repo mentioned in the bug description.

Iain Lane (laney) wrote :

I am aware.

Ma Jun (maclin.jun) wrote :

Hi Laney, as jbicha said we host the code on github: https://github.com/ukui/ukui-indicators.
Meanwhile, we also have created ukui PPA: https://launchpad.net/~ubuntukylin-members/+archive/ubuntu/ukui. Thanks a lot!

description: updated
Iain Lane (laney) wrote :
Download full text (3.3 KiB)

Right, I just don't want to get code from random repositories.

So. Looking at this one package, here's my review. I didn't check the other ones, but please make sure that none of these same problems apply to those too.

I can see some copyrights that aren't mentioned in debian/copyright:

indicator-application/fixedtip.c: * Copyright (C) 2001 Havoc Pennington
indicator-application/fixedtip.c: * Copyright (C) 2003-2006 Vincent Untz
indicator-application/fixedtip.h: * Copyright (C) 2001 Havoc Pennington, 2002 Red Hat Inc.
indicator-application/fixedtip.h: * Copyright (C) 2003-2006 Vincent Untz
indicator-application/na-tray.c: * Copyright (C) 2002 Red Hat, Inc.
indicator-application/na-tray.c: * Copyright (C) 2003-2006 Vincent Untz
indicator-application/na-tray.c: * Copyright (C) 2007 Christian Persch
indicator-application/na-tray-child.c: * Copyright (C) 2002 Anders Carlsson <email address hidden>
indicator-application/na-tray-child.c: * Copyright (C) 2003-2006 Vincent Untz
indicator-application/na-tray-child.c: * Copyright (C) 2008 Red Hat, Inc.
indicator-application/na-tray-child.h: * Copyright (C) 2002 Anders Carlsson <email address hidden>
indicator-application/na-tray-child.h: * Copyright (C) 2003-2006 Vincent Untz
indicator-application/na-tray-child.h: * Copyright (C) 2008 Red Hat, Inc.
indicator-application/na-tray.h: * Copyright (C) 2002 Anders Carlsson <email address hidden>
indicator-application/na-tray.h: * Copyright (C) 2003-2006 Vincent Untz
indicator-application/na-tray-manager.c: * Copyright (C) 2002 Anders Carlsson <email address hidden>
indicator-application/na-tray-manager.c: * Copyright (C) 2003-2006 Vincent Untz
indicator-application/na-tray-manager.h: * Copyright (C) 2002 Anders Carlsson <email address hidden>
indicator-application/na-tray-manager.h: * Copyright (C) 2003-2006 Vincent Untz

I don't find Clement Lefebre, Sorokin Alexei or Martin Wimpress in the source files anywhere.

Tianjin KYLIN Information Technology Co., Ltd. neither - is that the entity which is claiming copyright on the packaging? If so, it would be more understandable if you put this in a "Files: debian/*" block. Or maybe they are the copyright holders of indicator-calendar/* or indicator-desktop/* or src/*, none of which have their license statement or copyright holders included. Could you please make the situation clearer? One way would be to include a license header in the files, another would be to document this in some other file in the repository. And could you include a COPYING file please?

Packaging: I don't think ukui-indicators.postinst does anything. The schema compiling should happen already via a dpkg trigger (in libglib2.0-0). So please could you confirm that for yourselves and then remove the file?

Trivial: Some files in debian/ have trailing whitespace and trailing new lines. It'd be nice to remove those & maybe configure your editor to highlight them.

debian/docs is empty.

debian/source/format: Unless you have a good reason or feel strongly, I think it would be better to make this 3.0 (quilt) and do proper upstream releases.

This last one is a big one. Please do *not* add any new code which depends on webkit 1. This is old unmaintained code that co...

Read more...

handsome_feng (feng-kylin) wrote :

Hi Laney,
Thanks for your review, and sorry for making so many mistakes. we have fixed the issues you mentioned in all projects , Thank you!

handsome_feng (feng-kylin) wrote :

And we have updated the ppa.

handsome_feng (feng-kylin) wrote :

Hi, the ukui-indicators has switched to 3.0(quilt) now. :)

The release file list in:
    https://github.com/ukui/ukui-indicators/releases

The debian/ folder list in:
    https://github.com/ukui/debian-packages/tree/master/ukui-indicators/debian

And we also have updated the ppa:
    https://launchpad.net/~ubuntukylin-members/+archive/ubuntu/ukui

Jeremy Bicha (jbicha) on 2017-03-08
description: updated
Iain Lane (laney) wrote :

I updated your debian/control to not hardcode dependencies on shared libraries. Those are automatically generated for you and having them be manually specified is harmful when the package names change.

I've uploaded the package to NEW for you. It still needs archive admin review.

---

I noticed the following weird things but they don't block my upload - you might want to fix them for your next version.

-rwxr-xr-x root/root 3472 2017-02-16 06:44 ./usr/lib/x86_64-linux-gnu/ukui-indicators/libexec/reset_applet_position.py
-rwxr-xr-x root/root 76016 2017-03-06 05:42 ./usr/lib/x86_64-linux-gnu/ukui-indicators/libexec/ukui-indicators

These filenames are a bit odd for Ubuntu. I think you might want to update INSTALL_LIBEXEC_DIR in debian/rules to be $(CURDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/ukui-indicators.

reset_applet_position.py contains some strange code. I think there's probably a better way to achieve what you want than ps, killall and forcefully overwriting user settings.

Changed in ubuntu:
status: New → Fix Committed
Changed in ubuntukylin:
status: New → Fix Committed
description: updated
Jeremy Bicha (jbicha) on 2017-03-21
affects: ubuntu → ukui-indicators (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ukui-indicators - 1.0.2-0ubuntu1

---------------
ukui-indicators (1.0.2-0ubuntu1) zesty; urgency=medium

  * Initial release. (LP: #1664232)

 -- handsome_feng <email address hidden> Mon, 06 Mar 2017 13:42:02 +0800

Changed in ukui-indicators (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) on 2017-03-21
Changed in ubuntukylin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers